BEGIN ~DeSTO#05~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0
   SAY @1
   IF ~~ THEN REPLY @2 GOTO 1
   IF ~~ THEN REPLY @3 GOTO 2
END

IF ~~ THEN BEGIN 1
   SAY @4
   IF ~~ THEN DO ~StartStore("DeSTO#05",LastTalkedToBy(Myself))~ EXIT
END

IF ~~ THEN BEGIN 2
   SAY @5
   IF ~~ THEN EXIT
END

IF ~NumTimesTalkedToGT(0)~ THEN BEGIN 3
   SAY @6
   IF ~~ THEN REPLY @2 GOTO 4
   IF ~~ THEN REPLY @3 GOTO 5
END

IF ~~ THEN BEGIN 4
   SAY @4
   IF ~~ THEN DO ~StartStore("DeSTO#05",LastTalkedToBy(Myself))~ EXIT
END

IF ~~ THEN BEGIN 5
   SAY @5
   IF ~~ THEN EXIT
END
